You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@mxnet.apache.org by GitBox <gi...@apache.org> on 2020/01/08 21:49:01 UTC

[GitHub] [incubator-mxnet] stu1130 commented on a change in pull request #17248: Run the nightly test against S3 pip wheel

stu1130 commented on a change in pull request #17248: Run the nightly test against S3 pip wheel
URL: https://github.com/apache/incubator-mxnet/pull/17248#discussion_r364460011
 
 

 ##########
 File path: ci/docker/install/ubuntu_install_mxnet.sh
 ##########
 @@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+#   http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+set -ex
+
+YEAR=$(date +"%Y")
+MONTH=$(date +"%m")
+DATE=$(date +"%d")
+
+pip3 install https://apache-mxnet.s3-us-west-2.amazonaws.com/dist/"${YEAR}"-"${MONTH}"-"${DATE}"/dist/mxnet_cu101mkl-1.6.0b"${YEAR}""${MONTH}""${DATE}"-py2.py3-none-manylinux1_x86_64.whl
 
 Review comment:
   Hey @marcoabreu agree on @apeforest The PR is not about where we upload our nightly binaries, but test what we have been publishing. If we decide to go for PyPi in the future, I would love to raise another PR to fix that.

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


With regards,
Apache Git Services